package es.uca.xmleye;

/*
 Copyright (C) 2005-2008 Antonio García Domínguez

 This program is free software; you can redistribute it 
 and/or modify it under the terms of the GNU General Public 
 License as published by the Free Software Foundation; 
 either version 2 of the License, or (at your option) any 
 later version.

 This program is distributed in the hope that it will be 
 useful, but WITHOUT ANY WARRANTY; without even the implied 
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 PURPOSE. See the GNU General Public License for more 
 details.

 You should have received a copy of the GNU General Public 
 License along with this program; if not, write to the Free 
 Software Foundation, Inc., 59 Temple Place, Suite 330, 
 Boston, MA 02111-1307 USA
 */

/**
 * Tipos de alcance de búsqueda.
 */
public enum SearchScope {

	/** Todo el documento. */
	ALCANCE_DOCUMENTO,

	/** Sólo los descendientes del nodo seleccionado. */
	ALCANCE_SUBARBOL,

	/** Sólo los ancestros del nodo seleccionado. */
	ALCANCE_ANCESTROS,

	/**
	 * Sólo los nodos siguientes al nodo seleccionado en orden de documento
	 * (excluye a los descendientes).
	 */
	ALCANCE_SIGUIENTES,

	/**
	 * Sólo los nodos anteriores al nodo seleccionado en orden de documento
	 * (excluye a los ancestros).
	 */
	ALCANCE_ANTERIORES,

	/**
	 * Sólo los nodos siguientes al nodo seleccionado en orden de documento
	 * (incluye a los descendientes).
	 */
	ALCANCE_SIGUIENTES_SUBARBOL,

	/**
	 * Sólo los nodos anteriores al nodo seleccionado en orden de documento
	 * (incluye a los ancestros).
	 */
	ALCANCE_ANTERIORES_ANCESTROS;
}
