package es.uca.xmleye.gui.util;

/*
 Copyright (C) 2005-2008 Antonio García Domínguez

 This program is free software; you can redistribute it 
 and/or modify it under the terms of the GNU General Public 
 License as published by the Free Software Foundation; 
 either version 2 of the License, or (at your option) any 
 later version.

 This program is distributed in the hope that it will be 
 useful, but WITHOUT ANY WARRANTY; without even the implied 
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 PURPOSE. See the GNU General Public License for more 
 details.

 You should have received a copy of the GNU General Public 
 License along with this program; if not, write to the Free 
 Software Foundation, Inc., 59 Temple Place, Suite 330, 
 Boston, MA 02111-1307 USA
 */

import javax.swing.JMenu;
import java.util.ResourceBundle;

/**
 * Menú creado a partir del ResourceBundle. El esquema de nombres de las claves
 * usadas para las propiedades es el mismo que el de ResourceBackedAction.
 * 
 * @see ResourceBackedAction
 */
public class ResourceBackedMenu extends JMenu {
	/**
	 * 
	 */
	private static final long serialVersionUID = 580228552226740833L;

	public ResourceBackedMenu(ResourceBundle res, String id) {
		super(res.getString(id));
		setMnemonic(((Integer) res.getObject(id + "_m")).intValue());
		getAccessibleContext().setAccessibleDescription(
				res.getString(id + "_d"));
	}
}
