package es.uca.xmleye.presentation;

/*
  Copyright (C) 2008 Antonio García Domínguez
  
  This program is free software; you can redistribute it 
  and/or modify it under the terms of the GNU General Public 
  License as published by the Free Software Foundation; 
  either version 2 of the License, or (at your option) any 
  later version.
  
  This program is distributed in the hope that it will be 
  useful, but WITHOUT ANY WARRANTY; without even the implied 
  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
  PURPOSE. See the GNU General Public License for more 
  details.
  
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 59 Temple Place, Suite 330, 
  Boston, MA 02111-1307 USA
*/

import junit.framework.*;
import junit.textui.*;

import es.uca.xmleye.formats.*;
import es.uca.xmleye.presentation.WndFormatsPresentationModel;

/** 
    Tests del modelo de presentación para edición de formatos.
*/
public class WndFormatsPresentationModelTest extends TestCase 
{
    final private static String REPO_GLOBAL = "build/formats";
    final private static String REPO_LOCAL  = "build/formats2";

    private WndFormatsPresentationModel modelo;
    private FormatDescriptorRepository repositorio;

    /** Crea un nuevo caso de prueba. */
    public WndFormatsPresentationModelTest(String nombre) 
    {
	super(nombre);
    }
    
    /** Crea el conjunto de pruebas para JUnit. */
    public static Test suite() 
    {
	return new TestSuite(WndFormatsPresentationModelTest.class);
    }
    
    /** Lanza el caso de prueba mediante JUnit.*/
    public static void main(String[] args) 
    {
	TestRunner.run(suite());
    }

    /***** PRUEBAS ************************************/

    public void testCambioNombre() throws Exception {
	modelo.seleccionCambiada(0);
	modelo.textoNombreCambiado("prueba");
	modelo.cambiosConfirmados();

	repositorio = new FormatDescriptorRepository(new String[] { REPO_LOCAL, REPO_GLOBAL });
	final FormatDescriptor formatoXML = (FormatDescriptor)repositorio.getElementAt(0);
	
	assertEquals("prueba", formatoXML.getNombre());
    }

    @Override
	public void setUp() throws Exception {
    	repositorio = new FormatDescriptorRepository(
  			  new String[] { REPO_LOCAL, REPO_GLOBAL });
    	modelo     = new WndFormatsPresentationModel(repositorio);
    }
    @Override
	public void tearDown() {}

}
